<div class="multiform" id="settings-form">
	<ul class="hor-menu noselect nostyle" id="settings-menu">
		<li class="item hl-bottom" id="general">Редактировать группу</li>
	</ul>
	<div class="content">
		<div class="modal-message" style="display: none;"><div class="message-box"></div></div>
		<div class="sections">
			{% if user.role.permissions.CONFIG_EDIT %}
				<form id="role-edit" method="post" action="/config/role/{{ role.id }}/edit/">
					{% csrf_token %}
					<div class="input-field {% if not role.editable %}disabled{% endif %}">
						<input type="text" name="name" value="{{ role.name }}" required>
						<span class="highlight"></span>
						<span class="bar"></span>
						<label>Название</label>
					</div>
					<div>Разрешения</div>
					<textarea {% if not role.editable %}readonly{% endif %} class="json-input" name="permissions" spellcheck="false" required>{{ rolePermissionsJson }}</textarea>
					<div class="submit-container {% if not role.editable %}disabled{% endif %}">
						<button id="role-delete" class="button" form="">Удалить</button>
						<button class="button" form="role-edit" type="submit">Сохранить</button>
					</div>
				</form>
			{% else %}
				<h2>У вас недостаточно прав для просмотра этой страницы.</h2>
			{% endif %}
		</div>
	</div>
</div>
<script>
	var j = JSON.parse($(".json-input").html());
	$(".json-input").html(JSON.stringify(j, null, "  "));

	$(function() {
		$("form").submit(function(e) {
			e.preventDefault();
			modalMessage();
			var form = $(this);
			var posting = $.post(form.attr('action'), form.serialize());
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		});
	});

	var confirmed = false;
	$("button#role-delete").click(function(){  
		if (confirmed) {
			var posting = $.post('/config/role/{{ role.id }}/delete/', {'csrfmiddlewaretoken': '{{ csrf_token }}'});
			posting.done(function(data) {
				modalMessage(data);
				location.reload();
			});
			posting.fail(function(data) {
				modalMessage(data['responseText']);
			});
		} else {
			$("button#role-delete").html("Вы уверены?");
			confirmed = true;
		}
	});

	if ('{{ err }}' != '') {
		var msg = '{{ err }}';
	}
	modalMessage(msg);
</script>